import 'dart:async';
import 'dart:io';
import 'package:flutter/services.dart';

class ShuftiproSdk {
  static const MethodChannel _platform = MethodChannel('com.example.package_sample/sendAndroid');
  static Future<String> sendRequest({ required Map<String,Object> authObject,
    required Map<String,Object> createdPayload,
    required Map<String,Object> configObject,
}) async{
    String value = "";
    if (Platform.isIOS) {
      if(createdPayload.isNotEmpty){
        if(createdPayload["verification_mode"].toString() == "image_only"){
          createdPayload["verification_mode"] = "image";
        } else if(createdPayload["verification_mode"].toString() == "video_only"){
          createdPayload["verification_mode"] = "video";
        }
      }
    }
      try {
        value = await _platform.invokeMethod('sendRequest',<String, dynamic>{
          'AuthObj': authObject,
          'RequestObj': createdPayload,
          'ConfigObj': configObject,
        });
        print(value.toString());
      }catch(e){
        print(e);
      }
    return value;
  }
}
