import Flutter
import UIKit
import ShuftiPro
var window:UIWindow?

public class SwiftShuftiproSdk:  NSObject, FlutterPlugin{
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "com.example.package_sample/sendAndroid", binaryMessenger: registrar.messenger())
    let instance = SwiftShuftiproSdk()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
  switch call.method {
          case "sendRequest" :
              guard let args = call.arguments as? Dictionary<String , Any> else {return}

              let requestObject = args["RequestObj"] as? Dictionary<String , Any>
              let authObject = args["AuthObj"] as? Dictionary<String , String>
              let configs = args["ConfigObj"] as? Dictionary<String ,Any>
            let window: UIWindow = ((UIApplication.shared.delegate?.window)!)!

            
            let controller : FlutterViewController = window.rootViewController as! FlutterViewController

            let instance = ShuftiPro()
                      var response : Dictionary<String, Any>!
            instance.shuftiProVerification(requestObject: requestObject!, authKeys: authObject!, parentVC:controller , configs: configs) { (response) in
                print((response as AnyObject).description);
//                           completion(response.description)
                result((response as AnyObject).description)
                
            }
//                      instance.shuftiProVerification(requestObject: requestObject,
//                                                     authKeys: authObject ,parentVC: FlutterViewController,
//                                                     configs: configs){(result) in
//                          response = result as! Dictionary<String, Any>
//                          print(response.description);
////                           completion(response.description)
//                          result(response.description)
//
//                      }

//               self.callShuftiProSdk(requestObject: requestObject!, authKeys: authObject!, configs: configs!, controller: controller) { (results) in
//                   result(results)
//              }

          default :
             result(FlutterMethodNotImplemented)
          }
      }
//     result("iOS " + UIDevice.current.systemVersion)
  }
//}



//
// import UIKit
// import Flutter
// import ShuftiPro
//
// @UIApplicationMain
// @objc class AppDelegate: FlutterAppDelegate {
//   override func application(
//     _ application: UIApplication,
//     didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
//   ) -> Bool {
//     let controller : FlutterViewController = window.rootViewController as! FlutterViewController
//     let METHOD_CHANNAL_NAME = "com.example.package_sample/sendAndroid"
//     let batteryChannel = FlutterMethodChannel(name: METHOD_CHANNAL_NAME, binaryMessenger: controller.binaryMessenger)
//
//
//     var configs = Dictionary<String, Any>()
//
//     batteryChannel.setMethodCallHandler { (call : FlutterMethodCall, result : @escaping FlutterResult) -> Void in
// //         switch call.method {
// //         case "sendRequest" :
// //             guard let args = call.arguments as? Dictionary<String , Any> else {return}
// //
// //             let requestObject = args["RequestObj"] as? Dictionary<String , Any>
// //             let authObject = args["AuthObj"] as? Dictionary<String , String>
// //             let configs = args["ConfigObj"] as? Dictionary<String ,Any>
// //
// //             self.callShuftiProSdk(requestObject: requestObject!, authKeys: authObject!, configs: configs!, controller: controller) { (results) in
// //                 result(results)
// //             }
// //
// //         default :
// //            result(FlutterMethodNotImplemented)
// //         }
// //     }
//
//     GeneratedPluginRegistrant.register(with: self)
//     return super.application(application, didFinishLaunchingWithOptions: launchOptions)
//   }
//
//     func callShuftiProSdk(requestObject :[String :Any] , authKeys : [String :String] , configs: [String: Any] , controller :FlutterViewController , completion : @escaping(_ result : Any) -> () )  {
//         let instance = ShuftiPro()
//         var response : Dictionary<String, Any>!
//
//         instance.shuftiProVerification(requestObject: requestObject,
//                                        authKeys: authKeys ,parentVC: controller,
//                                        configs: configs){(result) in
//             response = result as! Dictionary<String, Any>
//             print(response.description);
//             completion(response.description)
//
//         }
//
//     }
// }
